//
//  ViewController.m
//  Testing Views
//
//  Created by Jay Versluis on 06/04/2012.
//  Copyright (c) 2012 Pinkstone Pictures, Ltd. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController
@synthesize selectedImage;
@synthesize myTextField;

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [self setSelectedImage:nil];
    [self setMyTextField:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return YES;
}

- (IBAction)switchView2:(id)sender {
    
    // [self performSegueWithIdentifier:@"toView2" sender:self];
    // sleep(4);
    // [self dismissModalViewControllerAnimated:YES];
}

// Here's how we read out the value of the selection segment thiny and kick off a Segue
// with the same title as the output (needs to be named as reference)
- (IBAction)imageSelect:(id)sender {
    // first we create a new string for easier querying
    NSString *selection;
    selection = [self.selectedImage titleForSegmentAtIndex:self.selectedImage.selectedSegmentIndex];
    
    // next we perform a Segue with the output of that segmentation element
    // [self performSegueWithIdentifier:selection sender:self];
    
    // we could have also written
    [self performSegueWithIdentifier:[self.selectedImage titleForSegmentAtIndex:self.selectedImage.selectedSegmentIndex] sender:self];
    // but nobody would have been able to understand this

    
}
- (IBAction)infoButton:(id)sender {
    UIAlertView *infoMessage;
    infoMessage = [[UIAlertView alloc]
                   initWithTitle:@"Image Switcher 1.0" message:@"This app switches between several UIIMageViews and displays a new picture in each one. It also uses the segmented control thingy. Check out www.versluis.com for more goodies." delegate:self cancelButtonTitle:@"Exciting stuff!" otherButtonTitles:nil];
    infoMessage.alertViewStyle = UIAlertViewStyleDefault;
    [infoMessage show];
}

- (IBAction)displayPopover:(id)sender {
    [self performSegueWithIdentifier:@"popMeOver" sender:self];
}
@end
